<?php
#############################################################################
#                              Site@School
# Site@School is a website management system designed for schools.
#
# About Site@School:
# Original Idea: Mark de Haan (mark@starwave.nl)
# Comissioned by: Stadsdeel de Baarsjes, Amsterdam, Netherlands
############################################################################
# studentimages.php: last changed 20/01/2005  , version: 2.3
#                     by Fred Stuurman (fc.stuurman@hccnet.nl)
############################################################################
#                        LICENSE INFORMATION
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################
define('IN_SAS', true);
include("../../../configuration/database.inc.php");                  
mysql_connect("$db_server", "$db_username", "$db_password");        // connecting to database
mysql_select_db("$db_name");

require("../../../core/session.php") ;                              //build a session

$usertype = "$_SESSION[usertype]";

 if(($usertype != 'student') AND ($usertype != 'teacher'))          //if we are not logged in as student/teacher we exit
 {
 exit;
 }
if(IsSet($_GET[studentid]))                {$studentid = htmlspecialchars($_GET[studentid]);}

$query = "SELECT config_value FROM $table_configuration where config_key='language'";
$result = mysql_query($query) or die_script(mysql_error());
$language = mysql_result($result,0);
include("../../../languages/$language/$language.php"); 
unset($query);
unset($result);

?>
<html style="width: 630; height: 530">

<head>
<title><?php echo $sas_lang['insert_picture'] ?></title>

<script type="text/javascript" src="popup.js"></script>

<script type="text/javascript">
var preview_window = null;

function Init() {
  __dlg_init();
  window.focus();
  document.getElementById("f_url").focus();
};

function onOK() {
  var required = {
    "f_url": "You must enter the URL"
  };
  for (var i in required) {
    var el = document.getElementById(i);
    if (!el.value) {
      alert(required[i]);
      el.focus();
      return false;
    }
  }
  // pass data back to the calling window
  var fields = ["f_url", "f_align", "f_border"];
  var param = new Object();
  for (var i in fields) {
    var id = fields[i];
    var el = document.getElementById(id);
    param[id] = el.value;
  }
  if (preview_window) {
    preview_window.close();
  }
  __dlg_close(param);
  return false;
};

function onCancel() {
  if (preview_window) {
    preview_window.close();
  }
  __dlg_close(null);
  return false;
};

function imageSelected(filename) 
{
	var topDoc = window.top.document.forms[0];
	topDoc.f_url.value = filename;	
}

function CheckFileFormat(sFilePath, bSubmitPressed) 
{

if (sFilePath.replace(/\s/g, '') != '') 
  {
  var iLastIndex = sFilePath.lastIndexOf('.', sFilePath.length - 1);
  var sFileExtension = sFilePath.substr(iLastIndex + 1);
  sFileExtension = toLowerCase(sFileExtension) ;
   if ((sFileExtension != 'jpg') && (sFileExtension != 'gif') && (sFileExtension != 'png')) 
     {
      window.alert('Please select a .jpg or .png or .gif file.');
      if (bSubmitPressed) return false;
     }
  }
}

</script>

<style type="text/css">
html, body {
  background: ButtonFace;
  color: ButtonText;
  font: 11px Tahoma,Verdana,sans-serif;
  margin: 0px;
  padding: 0px;
}
body { padding: 5px; }
table {
  font: 11px Tahoma,Verdana,sans-serif;
}
form p {
  margin-top: 5px;
  margin-bottom: 5px;
}
.fl { width: 9em; float: left; padding: 2px 5px; text-align: right; }
.fr { width: 6em; float: left; padding: 2px 5px; text-align: right; }
fieldset { padding: 0px 10px 5px 5px; }
select, input, button { font: 11px Tahoma,Verdana,sans-serif; }
button { width: 70px; }
.space { padding: 2px; }

.title { background: #ddf; color: #000; font-weight: bold; font-size: 120%; padding: 3px 10px; margin-bottom: 10px;
border-bottom: 1px solid black; letter-spacing: 2px;
}
form { padding: 0px; margin: 0px; }
</style>

</head>
<body onload="Init()">

<div class="title"><?php echo $sas_lang['insert_picture'] ?></div>
<iframe src="images1.php?studentid=<?php echo $studentid ?>" name="imgManager" id="imgManager" width="600" height="285" marginwidth="0" marginheight="0" align="top" scrolling="auto" frameborder="1" hspace="0" vspace="0"></iframe>

<form action="images1.php?studentid=<?php echo $studentid ?>" name="form1" method="post" enctype="multipart/form-data" target="imgManager">

<hr />
<fieldset style="margin-left: 0px;">
<table border="0" style="padding: 0px; margin: 1px">
  <tbody>

  <tr>
    <td align="right"><?php echo $sas_lang['picture'] ?>:</td>
    <td><input type="text" name="url" id="f_url" size="40" />&nbsp;&nbsp;<?php echo $sas_lang['click_picture'] ?>
    </td>
    <td width="25">&nbsp;</td>
    <td><?php echo $sas_lang['outline'] ?></td>
    <td><select size="1" name="align" id="f_align">
  <option value=""                             >Not set</option>
  <option value="left"                         >Left</option>
  <option value="right"                        >Right</option>
  <option value="texttop"                      >Texttop</option>
  <option value="absmiddle"                    >Absmiddle</option>
  <option value="baseline" selected="1"        >Baseline</option>
  <option value="absbottom"                    >Absbottom</option>
  <option value="bottom"                       >Bottom</option>
  <option value="middle"                       >Middle</option>
  <option value="top"                          >Top</option>
</select></td>
  </tr>
  <tr><td colspan="5">&nbsp;</td></tr>
  <tr>
    <td><div align="right"><?php echo $sas_lang['uploadfile'] ?>:</div></td>
    <td><input type="file" name="file" id="upload" onBlur="JavaScript: CheckFileFormat(this.value, false);"> 
    <input type="submit" style="width:5em" value="<?php echo $sas_lang['save'] ?>" />
		</td>
		<td>&nbsp;</td>
		<td align="right"><?php echo $sas_lang['border'] ?></td>
		<td><input type="text" name="border" id="f_border" size="5" /></td>
  </tr>


 </tbody>
</table>
</fieldset>

<div style="margin-top: 15px; text-align: right;">
<hr />
<button type="button" name="ok" onclick="return onOK();"><?php echo $sas_lang['insert'] ?></button>
<button type="button" name="cancel" onclick="return onCancel();"><?php echo $sas_lang['cancel'] ?></button>
</div>

</form>

</body>
</html>